Bug 845706 - eclipse-swt: segfault in libwebkitgtk code
eclipse-swt: segfault in libwebkitgtk code
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 19:01 EDT by Mikolaj Izdebski
Modified: 2013-07-22 03:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 03:13:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
HotSpot JVM log (107.41 KB, text/x-log)
2012-08-03 19:03 EDT, Mikolaj Izdebski
no flags Details
Packages installed in the system (279.38 KB, text/x-log)
2012-08-03 19:04 EDT, Mikolaj Izdebski
no flags Details

  None (edit)
Description Mikolaj Izdebski 2012-08-03 19:01:49 EDT
Description of problem:
During startup, after after selecting workspace, Eclipse dumps core.
The reason seems to be SWT or webkit code. More detailed logs attached.

# Problematic frame:
# C  [libwebkitgtk-1.0.so.0+0xad1233]  WebCore::Settings::setMockScrollbarsEnabled(bool)+0x30553

Version-Release number of selected component (if applicable):
eclipse-swt-4.2.0-6.fc18.x86_64
webkitgtk-1.8.1-4.fc18.x86_64
(versions of other packages available in root.log)

How reproducible:
Only once after new user is created.
Fully reproducible once per user created.

Steps to Reproduce:
1. mock -r fedora-rawhide-x86_64 init
2. mock -r fedora-rawhide-x86_64 install sudo
3. mock -r fedora-rawhide-x86_64 install xauth
4. mock -r fedora-rawhide-x86_64 install eclipse-jbosstools
5. mock -r fedora-rawhide-x86_64 shell "adduser me"
6. mock -r fedora-rawhide-x86_64 shell "sudo -u me sh -c 'cat >~/.Xauthority'" <~/.Xauthority
7. mock -r fedora-rawhide-x86_64 shell "DISPLAY=$DISPLAY sudo -u me eclipse"
8. when workspace selection window appears, press "Enter"

Actual results:
A fatal error has been detected by the Java Runtime Environment: SIGSEGV

Expected results:
Eclipse starts normally.

Additional info:
(will be attached)
Comment 1 Mikolaj Izdebski 2012-08-03 19:03:10 EDT
Created attachment 602197 [details]
HotSpot JVM log

Log of the JVM
Comment 2 Mikolaj Izdebski 2012-08-03 19:04:35 EDT
Created attachment 602198 [details]
Packages installed in the system

List of all packages installed in the test system (in Polish, sorry)
Comment 3 Mikolaj Izdebski 2012-08-03 19:10:04 EDT
If you need any more info, I can provide that.
Comment 4 Mikolaj Izdebski 2012-12-01 14:23:08 EST
Still happens with eclipse 4.2.1-21.fc19 (webkitgtk version 1.10.1-1.fc19)
Comment 5 Mikolaj Izdebski 2013-02-25 03:43:27 EST
Still happens on Fedora 18 with latest updates-testing.
Comment 6 Alexander Kurtakov 2013-03-06 06:20:34 EST
Does it still happens on latest Fedora 18 + updates-testing? What about removing eclipse-jbosstools, does it happen without it too?
Comment 7 Mikolaj Izdebski 2013-03-06 06:58:31 EST
I can reliably reproduce this bug in Fedora 19. I don't know about Fedora 18.
This happens without eclipse-jbosstools installed.
Comment 8 Fedora End Of Life 2013-04-03 09:36:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Orion Poplawski 2013-04-09 12:56:15 EDT
I'm seeing it on F18+testing with:

eclipse-cdt-8.1.2-1.fc18.x86_64
eclipse-cdt-parsers-8.1.2-1.fc18.x86_64
eclipse-ecf-core-3.5.6-3.fc18.noarch
eclipse-emf-2.8.1-7.fc18.noarch
eclipse-emf-core-2.8.1-7.fc18.noarch
eclipse-equinox-osgi-4.2.2-6.fc18.x86_64
eclipse-jgit-2.2.0-1.fc18.noarch
eclipse-photran-8.0.5-1.fc18.noarch
eclipse-photran-intel-8.0.5-1.fc18.noarch
eclipse-photran-xlf-8.0.5-1.fc18.noarch
eclipse-platform-4.2.2-6.fc18.x86_64
eclipse-ptp-6.0.5-1.fc18.noarch
eclipse-ptp-etfw-ppw-6.0.5-1.fc18.noarch
eclipse-ptp-etfw-tau-6.0.5-1.fc18.noarch
eclipse-ptp-etfw-tau-fortran-6.0.5-1.fc18.noarch
eclipse-ptp-fortran-6.0.5-1.fc18.noarch
eclipse-ptp-gem-6.0.5-1.fc18.noarch
eclipse-ptp-master-6.0.5-1.fc18.noarch
eclipse-ptp-pldt-fortran-6.0.5-1.fc18.noarch
eclipse-ptp-pldt-upc-6.0.5-1.fc18.noarch
eclipse-ptp-rdt-6.0.5-1.fc18.noarch
eclipse-ptp-rdt-sync-fortran-6.0.5-1.fc18.noarch
eclipse-ptp-rdt-xlc-6.0.5-1.fc18.noarch
eclipse-ptp-remote-rse-6.0.5-1.fc18.noarch
eclipse-ptp-rm-contrib-6.0.5-1.fc18.noarch
eclipse-ptp-sci-6.0.5-1.fc18.noarch
eclipse-ptp-sdk-6.0.5-1.fc18.noarch
eclipse-rse-3.4-3.fc18.noarch
eclipse-swt-4.2.2-6.fc18.x86_64

Seems okay after I remove the eclipse-ptp components.  Damn.
Comment 10 Orion Poplawski 2013-04-09 13:00:55 EDT
Of course, without eclipse-ptp installed, there is no welcome screen to click through, so that might be part of it.
Comment 11 Alexander Kurtakov 2013-06-12 05:34:43 EDT
Orion, do you still see this? There were few swt fixes that went in and should prevent some webkit crashes.
Comment 12 Mikolaj Izdebski 2013-07-20 17:34:22 EDT
I saw this segfault every day for over a year (also in Fedira 19 alpha), but I can 't see this bug in Fedora 19 with updates testing.  It's fixed for me.
Comment 13 Krzysztof Daniel 2013-07-22 03:13:49 EDT
Making as closed worksforme per comment 12.

Note You need to log in before you can comment on or make changes to this bug.